I can only second the advice of using the latest SP3. Backporting library support to older systems is notoriously difficult and painful in most circumstances.